aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/aks/post-install/bootstrap/create_platform.sh
diff options
context:
space:
mode:
authorstark, steven <steven.stark@att.com>2019-12-05 14:14:32 -0800
committerBrian Freeman <bf1936@att.com>2019-12-09 13:19:36 +0000
commitf3519424a5c99b59e2b508dae510cdac27cc6dc5 (patch)
tree245c1f3fce046cd87751902853e8e45c85bfeb4d /deployment/aks/post-install/bootstrap/create_platform.sh
parent48a45d1acc24778b9ba2620714815b6a0c034379 (diff)
[INT] various updates to AKS deployment scripts
- Adding support for pluggable post-install scripts. See README. - Adding pre_install check to validate the correct software is installed before attempting deployment. - Updating AKS deploy command line to support azure cli 2.0.75. Issue-ID: INT-1398 Signed-off-by: stark, steven <steven.stark@att.com> Change-Id: I1ff819e96a3f34c88580e90e8d6f2b79979a7a61
Diffstat (limited to 'deployment/aks/post-install/bootstrap/create_platform.sh')
-rwxr-xr-xdeployment/aks/post-install/bootstrap/create_platform.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/deployment/aks/post-install/bootstrap/create_platform.sh b/deployment/aks/post-install/bootstrap/create_platform.sh
new file mode 100755
index 000000000..46dc1b4e6
--- /dev/null
+++ b/deployment/aks/post-install/bootstrap/create_platform.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Copyright 2019 AT&T Intellectual Property. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -x
+
+if [ -z $VID_DNS_NAME ] || [ -z $VID_PORT ]; then
+ echo "VID_DNS_NAME or VID_PORT not found. These should be environment variables."
+ exit 1
+fi
+
+DATA_FILE=$BUILD_DIR"/vid_platform.json"
+
+URI="vid/maintenance/category_parameter/platform"
+
+cat > $DATA_FILE <<EOF
+{"options":["$PLATFORM"]}
+EOF
+
+curl -i --insecure -X POST "$VID_PROTOCOL://$VID_DNS_NAME:$VID_PORT/$URI" \
+ -H 'Content-Type: application/json' \
+ -d @"$DATA_FILE"
+echo ""